BIO_ADVANCE(9)

NAME
bio_advance - increment/complete a bio by some number of bytes

SYNOPSIS

void bio_advance(struct bio * bio, unsigned bytes);

ARGUMENTS

bio
    bio to advance

bytes
    number of bytes to complete

DESCRIPTION

This updates bi_sector, bi_size and bi_idx; if the number of bytes to complete doesn't align with a bvec boundary, then bv_len and bv_offset will be updated on the last bvec as well.

bio will then represent the remaining, uncompleted portion of the io.

COPYRIGHT